# soap fault detail
[SOAP]

## Functions
AXIS2_EXTERN axiom_soap_fault_detail_t * | axiom_soap_fault_detail_create_with_parent (const axutil_env_t *env, axiom_soap_fault_t *fault)
AXIS2_EXTERN void | axiom_soap_fault_detail_free (axiom_soap_fault_detail_t *fault_detail, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_soap_fault_detail_add_detail_entry (axiom_soap_fault_detail_t *fault_detail, const axutil_env_t *env, axiom_node_t *ele_node)
AXIS2_EXTERN axiom_children_iterator_t * | axiom_soap_fault_detail_get_all_detail_entries (axiom_soap_fault_detail_t *fault_detail, const axutil_env_t *env)
AXIS2_EXTERN axiom_node_t * | axiom_soap_fault_detail_get_base_node (axiom_soap_fault_detail_t *fault_code, const axutil_env_t *env)

## Function Documentation

AXIS2_EXTERN axis2_status_t axiom_soap_fault_detail_add_detail_entry | ( | axiom_soap_fault_detail_t * | fault_detail,
|  | const axutil_env_t * | env,
|  | axiom_node_t * | ele_node |
| ) |  |  |

Adds a detail entry to the SOAP fault detail

Parameters:

  | fault_detail | pointer to soap_fault_detail struct
  | env | Environment. MUST NOT be NULL

Returns:
  satus of the op. AXIS2_SUCCESS on success else AXIS2_FAILURE

AXIS2_EXTERN axiom_soap_fault_detail_t* axiom_soap_fault_detail_create_with_parent | ( | const axutil_env_t * | env,
|  | axiom_soap_fault_t * | fault |
| ) |  |  |

creates a soap struct

Parameters:

  | env | Environment. MUST NOT be NULL
  | fault | The SOAP fault

Returns:
  the created OM SOAP fault detail

AXIS2_EXTERN void axiom_soap_fault_detail_free | ( | axiom_soap_fault_detail_t * | fault_detail,
|  | const axutil_env_t * | env |
| ) |  |  |

Free an axiom_soap_fault_detail

Parameters:

  | fault_detail | pointer to soap_fault_detail struct
  | env | Environment. MUST NOT be NULL

Returns:
  satus of the op. AXIS2_SUCCESS on success else AXIS2_FAILURE

AXIS2_EXTERN axiom_children_iterator_t* axiom_soap_fault_detail_get_all_detail_entries | ( | axiom_soap_fault_detail_t * | fault_detail,
|  | const axutil_env_t * | env |
| ) |  |  |

Return all detail entries in the SOAP fault detail

Parameters:

  | fault_detail | pointer to soap_fault_detail struct
  | env | Environment. MUST NOT be NULL

Returns:
  satus of the op. AXIS2_SUCCESS on success else AXIS2_FAILURE

AXIS2_EXTERN axiom_node_t* axiom_soap_fault_detail_get_base_node | ( | axiom_soap_fault_detail_t * | fault_code,
|  | const axutil_env_t * | env |
| ) |  |  |

Returns the base node of the SOAP fault detail

Parameters:

  | fault_detail | pointer to soap_fault_detail struct
  | env | Environment. MUST NOT be NULL

Returns:
  satus of the op. AXIS2_SUCCESS on success else AXIS2_FAILURE